Package org.zkoss.clientbind

## Class ClientSavePropertyBindingImpl

- java.lang.Object
- - org.zkoss.clientbind.ClientSavePropertyBindingImpl

- All Implemented Interfaces:
    `Binding`, `PropertyBinding`, `SaveBinding`, `SavePropertyBinding`

      public class ClientSavePropertyBindingImpl
      extends java.lang.Object
      implements SavePropertyBinding

  Client save property binding implementation.
  Author:
    jumperchen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientSavePropertyBindingImpl​(ClientBinder binder, Component comp, java.lang.String fieldName, Property property, java.lang.String validatorExpr, java.util.Map<java.lang.String,​java.lang.Object> validatorArgs, java.util.Set<Property> properties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getArgs()` | Returns an argument `<tags, object>` pairs map(read only).
    `Binder` | `getBinder()` | Returns the owner binder of this binding.
    `java.lang.String` | `getCommandName()` | Returns the associated command name of this binding; null if not speicified.
    `Component` | `getComponent()` | Returns the associated component of this binding.
    `ConditionType` | `getConditionType()` | Returns the condition type of this binding
    `Converter` | `getConverter()` | Returns the associated _converter with this binding.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getConverterArgs()` | Returns an argument `<tags, object>` pairs map for converter.
    `java.lang.String` | `getFieldName()` | Returns the field name of the source object.
    `java.util.Set<Property>` | `getProperties()` |
    `ExpressionX` | `getProperty()` |
    `java.lang.String` | `getPropertyString()` | Returns the property expression script of this binding.
    `Property` | `getValidate​(BindContext bindContext)` | Returns `Property` to be validated.
    `Validator` | `getValidator()` | return `Validator` to do validation
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getValidatorArgs()` | Returns an argument `<tags, object>` pairs map for validator.
    `boolean` | `hasValidator()` | Returns whether to do validation. which means, if true, than getValidator should not return null
    `void` | `save​(BindContext bindContext)` | Save data from the source attribute into the target property.
    `void` | `validate​(ValidationContext vctx)` | do the validation by validator

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSavePropertyBindingImpl

          public ClientSavePropertyBindingImpl​(ClientBinder binder,
                                               Component comp,
                                               java.lang.String fieldName,
                                               Property property,
                                               java.lang.String validatorExpr,
                                               java.util.Map<java.lang.String,​java.lang.Object> validatorArgs,
                                               java.util.Set<Property> properties)

  - ### Method Detail

    - #### save

          public void save​(BindContext bindContext)

      Description copied from interface: `SaveBinding`
      Save data from the source attribute into the target property.
      Specified by:
        `save` in interface `SaveBinding`
      Parameters:
        `bindContext` - the binding runtime context

    - #### validate

          public void validate​(ValidationContext vctx)

      Description copied from interface: `SaveBinding`
      do the validation by validator
      Specified by:
        `validate` in interface `SaveBinding`

    - #### getValidate

          public Property getValidate​(BindContext bindContext)

      Description copied from interface: `SaveBinding`
      Returns `Property` to be validated.
      Specified by:
        `getValidate` in interface `SaveBinding`
      Parameters:
        `bindContext` - the binding runtime context
      Returns:
        `Property` to be validated.

    - #### hasValidator

          public boolean hasValidator()

      Description copied from interface: `SaveBinding`
      Returns whether to do validation. which means, if true, than getValidator should not return null
      Specified by:
        `hasValidator` in interface `SaveBinding`
      Returns:
        whether to do validation.

    - #### getValidator

          public Validator getValidator()

      Description copied from interface: `SaveBinding`
      return `Validator` to do validation
      Specified by:
        `getValidator` in interface `SaveBinding`
      Returns:
        the validator if existed

    - #### getValidatorArgs

          public java.util.Map<java.lang.String,​java.lang.Object> getValidatorArgs()

      Description copied from interface: `SaveBinding`
      Returns an argument `<tags, object>` pairs map for validator.
      Specified by:
        `getValidatorArgs` in interface `SaveBinding`
      Returns:
        an argument `<tags, object>` pairs map for validator.

    - #### getBinder

          public Binder getBinder()

      Description copied from interface: `Binding`
      Returns the owner binder of this binding.
      Specified by:
        `getBinder` in interface `Binding`
      Returns:
        the owner binder of this binding.

    - #### getComponent

          public Component getComponent()

      Description copied from interface: `Binding`
      Returns the associated component of this binding.
      Specified by:
        `getComponent` in interface `Binding`
      Returns:
        the associated component of this binding.

    - #### getArgs

          public java.util.Map<java.lang.String,​java.lang.Object> getArgs()

      Description copied from interface: `Binding`
      Returns an argument `<tags, object>` pairs map(read only).
      Specified by:
        `getArgs` in interface `Binding`
      Returns:
        an argument `<tags, object>` pairs map(read only).

    - #### getConverter

          public Converter getConverter()

      Description copied from interface: `PropertyBinding`
      Returns the associated _converter with this binding.
      Specified by:
        `getConverter` in interface `PropertyBinding`
      Returns:
        the associated _converter with this binding.

    - #### getFieldName

          public java.lang.String getFieldName()

      Description copied from interface: `PropertyBinding`
      Returns the field name of the source object.
      Specified by:
        `getFieldName` in interface `PropertyBinding`
      Returns:
        the field name of the source object.

    - #### getCommandName

          public java.lang.String getCommandName()

      Description copied from interface: `PropertyBinding`
      Returns the associated command name of this binding; null if not speicified.
      Specified by:
        `getCommandName` in interface `PropertyBinding`
      Returns:
        the associated command name of this binding; null if not speicified.

    - #### getPropertyString

          public java.lang.String getPropertyString()

      Description copied from interface: `PropertyBinding`
      Returns the property expression script of this binding.
      Specified by:
        `getPropertyString` in interface `PropertyBinding`
      Returns:
        the property expression script of this binding.

    - #### getConditionType

          public ConditionType getConditionType()

      Description copied from interface: `PropertyBinding`
      Returns the condition type of this binding
      Specified by:
        `getConditionType` in interface `PropertyBinding`

    - #### getConverterArgs

          public java.util.Map<java.lang.String,​java.lang.Object> getConverterArgs()

      Description copied from interface: `PropertyBinding`
      Returns an argument `<tags, object>` pairs map for converter.
      Specified by:
        `getConverterArgs` in interface `PropertyBinding`
      Returns:
        an argument `<tags, object>` pairs map for converter.

    - #### getProperty

          public ExpressionX getProperty()

      Specified by:
        `getProperty` in interface `PropertyBinding`
      Returns:
        the property expression of binding

    - #### getProperties

          public java.util.Set<Property> getProperties()